Skip to main content
`Ctrl`+`K`

# PetscSetDefaultDebugger

Causes PETSc to use its default debugger and output terminal

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSetDefaultDebugger(void)

Not Collective, No Fortran Support

## See Also

`PetscSetDebugger()`, `PetscSetDebuggerFromString()`, `PetscAttachDebugger()`

## Level

developer

## Location

src/sys/error/adebug.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages